﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="SpellChecker.aspx.cs" Inherits="SpellChecker" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %> 
 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" > 
<head id="Head1" runat="server"> 
    <title>On Data Telerik Samples - Rad Editor</title>     
</head> 
<body> 
    <form id="form1" runat="server"> 
    <div> 
        <h1>Ejemplo Rad Editor: funcionalidades comunes.</h1> 
        <asp:ScriptManager ID="sprmgrManager" runat="server"> 
        </asp:ScriptManager> 
        <telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server" Height="200px" Width="300px">         
                <telerik:RadEditor  
                ID="rdEditor"  
                runat="server" 
                EditModes="All" 
                _ToolsFile="~/Toolbars/Tools.xml" 
            > 
                <Languages> 
                    <telerik:SpellCheckerLanguage Title="Español" Code="es-ES" /> 
                </Languages>                 
                <ImageManager MaxUploadFileSize="512000" 
                UploadPaths="~/Uploads" DeletePaths="~/Uploads" ViewPaths="~/Uploads" EnableImageEditor="true" 
                /> 
                <Content></Content> 
                </telerik:RadEditor> 
                <asp:Button runat="server" ID="previsualizar" Text="Previsualizar del Lado del Server" OnClick="previsualizar_Click"/><br /> 
                <input type="button" id="btnPrevisualizarCliente" onclick="ShowPreview();" value="Previsualizar del lado del Cliente"/> 
                <div runat="server" id="divPrevisualizar"> 
                </div>   
        <input type ="button" id="btnLimpiar" value="Limpiar Div" onclick="CerrarPopDetalle();" /> 
         
        </telerik:RadAjaxPanel> 
        </div> 
        <telerik:RadCodeBlock ID="clientDisplayCode" runat="server" > 
            <script type="text/javascript"> 
                function CerrarPopDetalle(){ 
                    var divEntryPreview = document.getElementById('<%=divPrevisualizar.ClientID%>');    
                    divEntryPreview.innerHTML=""; 
                } 
 
                function ShowPreview(){   
                    var rdEditor = $find('<%=rdEditor.ClientID%>'); 
                    var divEntryPreview = document.getElementById('<%=divPrevisualizar.ClientID%>');         
                    divEntryPreview.innerHTML =  rdEditor.get_html();    
                } 
            </script> 
        </telerik:RadCodeBlock>   
    </form> 
</body> 
</html> 
 